void do_chan(int ch);
void run_chan(int ch);
void active_chan(int ch);
void man_chan(int ch);
void load_chan(int ch, int autoload);
void load_chan_cycle(int ch, int autoload);
void cycle_chan(int ch);
void rw_chan(int ch);
int unitcheck(int ch, int wr);
int whatdev(int ch);
void readcard();
void initpunch();
void writepunch();
void initprint();
void writeprint();
void printerror(char *s);
void readword(int ch);
void writeword(int ch);
void startrec(int ch);
void endrecord(int ch);
